%define upstream_name    Test-RunValgrind
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tests that an external program is valgrind-clean
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
valgrind is an open source and convenient memory debugger that runs on some
platforms. This module runs valgrind (the
https://en.wikipedia.org/wiki/Valgrind manpage) on an executable and makes
sure that valgrind did not find any faults in it.

It originated from some code used to test the Freecell Solver executables
using valgrind, and was extracted into its own CPAN module to allow for
reuse by other projects, including fortune-mod (the
https://github.com/shlomif/fortune-mod manpage).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.2-3.mga10
+ Revision: 2206511
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.2-2.mga9
+ Revision: 1813418
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 0.2.2-1.mga8
+ Revision: 1636765
- update to 0.2.2

* Sat Feb 15 2020 umeabot <umeabot> 0.2.1-2.mga8
+ Revision: 1526785
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.2.1-1.mga8
+ Revision: 1415758
- update to 0.2.1

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7
+ Revision: 1286806
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1197603
- update to 0.2.0

* Tue Dec 26 2017 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1185334
- update to 0.0.2

* Sun Jun 19 2016 pterjan <pterjan> 0.0.1-2.mga6
+ Revision: 1034639
- Rebuild for perl 5.22.2

* Sun Apr 10 2016 shlomif <shlomif> 0.0.1-1.mga6
+ Revision: 1000050
- imported package perl-Test-RunValgrind


* Sun Apr 10 2016 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
